import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, CircularProgress, Typography } from '@mui/material';
const AdminCircularProgressWithLabel = (props) => {
    const { value, size = 200, valueColor = 'primary' } = props;
    return (_jsxs(Box, { position: "relative", display: "inline-flex", children: [_jsx(CircularProgress, { variant: "determinate", size: size, value: value }), _jsx(Box, { top: 0, left: 0, bottom: 0, right: 0, position: "absolute", display: "flex", alignItems: "center", justifyContent: "center", children: _jsx(Typography, { sx: { fontSize: 32 }, variant: "caption", component: "div", color: valueColor, children: `${Math.round(value)}%` }) })] }));
};
export default AdminCircularProgressWithLabel;
