import { SvgIconTypeMap } from '@mui/material';
import { OverridableComponent } from '@mui/material/OverridableComponent';
import { StatCardAlignment } from '../../pages/dashboard/constants';
import './adminStatCard-styles.scss';
interface IAdminStatCardProp {
    icon: OverridableComponent<SvgIconTypeMap<{}, 'svg'>>;
    title: string;
    subtitle: string;
    stat: string;
    color?: string;
    alignment?: StatCardAlignment;
}
declare const AdminStatCard: (props: IAdminStatCardProp) => import("react/jsx-runtime").JSX.Element;
export default AdminStatCard;
