import { jsx as _jsx } from "react/jsx-runtime";
import { Navigate, Outlet } from 'react-router-dom';
import { observer } from 'mobx-react-lite';
import { ROUTES } from '../constants/route-constants';
const PrivateRoute = (props) => {
    const { isLoggedIn } = props;
    const isAuthenticated = () => {
        return isLoggedIn;
    };
    return isAuthenticated() ? _jsx(Outlet, {}) : _jsx(Navigate, { to: ROUTES.LOGIN });
};
export default observer(PrivateRoute);
