import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { PolarAngleAxis, PolarGrid, PolarRadiusAxis, Radar, RadarChart, ResponsiveContainer, Tooltip, } from 'recharts';
import palette from '../../theme/colors';
const AdminRadarChart = (props) => {
    const { data, radarLabel } = props;
    return (_jsx(ResponsiveContainer, { width: "80%", height: "80%", children: _jsxs(RadarChart, { cx: "50%", cy: "50%", outerRadius: "80%", data: data, children: [_jsx(Tooltip, {}), _jsx(PolarGrid, {}), _jsx(PolarAngleAxis, { dataKey: "edgesKey" }), _jsx(PolarRadiusAxis, {}), _jsx(Radar, { name: radarLabel, dataKey: "radarKey", stroke: palette.primary, fill: palette.toastSuccessBorder, fillOpacity: 0.6 })] }) }));
};
export default AdminRadarChart;
