import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { Fade, Modal } from '@mui/material';
import './adminModal-styles.scss';
const AdminModal = ({ open, onClose, containerClass, children }) => {
    return (_jsx(Modal, { open: open, onClose: onClose, closeAfterTransition: true, children: _jsx(_Fragment, { children: _jsx(Fade, { in: open, children: _jsx("div", { className: `adminModal__container ${containerClass}`, children: children }) }) }) }));
};
export default AdminModal;
