export const translate = {
    companyName: 'Vectoscalar',
    common: {
        optional: 'Optional',
        createNew: 'Create New',
        filter: 'Filter',
        noRecordFound: 'No record found',
        addNew: 'Add New',
        delete: 'Delete',
        edit: 'Edit',
        cancel: 'Cancel',
        save: 'Save',
        confirmMessage: 'Are you sure you want to save this changes?',
        saveChanges: 'Save Changes',
    },
    components: {
        table: {
            rowPerPage: 'Rows per page:',
            exportCsv: 'Export CSV',
        },
        dashboardHeader: {
            buttonTitle: 'Logout',
            changePassword: 'Change Password',
            drawerTitle: 'Profile',
            dropdownLogoutOption: 'Logout',
            dropdownProfileOption: 'My Profile',
            dropdownRegisterOption: 'Register',
            profileName: 'Admin',
            register: 'Register',
        },
        confirmationModal: {
            deleteConfirmation: 'Are you sure you want to delete this item?',
        },
        form: {
            addEdit: {
                submit: 'Submit',
                cancel: 'Cancel',
                reset: 'Reset',
            },
        },
    },
    pages: {
        notFound: {
            title: '404 Not Found',
        },
        login: {
            email: 'Email',
            emailError: 'Email is required',
            emailNotExists: 'Email does not exists',
            forgotPassword: 'Forgot Password?',
            invalidFieldValues: 'Invalid email or password. Please try again.',
            login: 'Login',
            password: 'Password',
            passwordError: 'Password is required',
            passwordResetMessage: 'Password reset email sent successfully.',
        },
        changePassword: {
            buttonTitle: 'Submit',
            confirmNewPassword: 'Confirm New Password',
            confirmNewPasswordError: 'Confirm new password is required',
            currentPassword: 'Old Password',
            currentPasswordError: 'Old password is required',
            currentPasswordWrong: 'Old password is not correct!',
            newPassword: 'New Password',
            newPasswordError: 'New password is required',
            passwordChangeSuccess: 'Password Changed successfully!',
            passwordMismatch: 'New password & confirm new password must be same!',
            passwordMatch: 'Old password & new password must not be same!',
        },
    },
};
